Package com.oracle.truffle.api.impl

## Class AbstractAssumption

- java.lang.Object
- - com.oracle.truffle.api.impl.AbstractAssumption

All Implemented Interfaces:
  `Assumption`

    public abstract class AbstractAssumption
    extends java.lang.Object
    implements Assumption

### Field Summary

Fields
`protected boolean` `isValid`
`protected java.lang.String` `name`

### Constructor Summary

Constructors
`protected` `AbstractAssumption​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` A name for the assumption that is used for debug output.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.oracle.truffle.api.Assumption

`check, invalidate, isValid`

### Field Detail

#### name

    protected final java.lang.String name

#### isValid

    protected boolean isValid

### Constructor Detail

#### AbstractAssumption

    protected AbstractAssumption​(java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from interface: `Assumption`
A name for the assumption that is used for debug output.

Specified by:
  `getName` in interface `Assumption`
Returns:
  the name of the assumption

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`